Package org.opensaml.xacml.ctx

# Enum Class DecisionType.DECISION

java.lang.Object
java.lang.Enum<DecisionType.DECISION>
org.opensaml.xacml.ctx.DecisionType.DECISION

All Implemented Interfaces:
  `Serializable`, `Comparable<DecisionType.DECISION>`, `Constable`

Enclosing interface:
  DecisionType

public static enum DecisionType.DECISION extends Enum<DecisionType.DECISION>
Allowed decision values.

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`Deny`
Denied.
`Indeterminate`
Can't tell.
`NotApplicable`
Not applicable.
`Permit`
Permitted.

## Constructor Summary

Constructors
Modifier
Constructor
Description
`private`
`DECISION()`

## Method Summary

Modifier and Type
Method
Description
`static DecisionType.DECISION`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static DecisionType.DECISION[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### Deny

public static final DecisionType.DECISION Deny
Denied.

### Permit

public static final DecisionType.DECISION Permit
Permitted.

### Indeterminate

public static final DecisionType.DECISION Indeterminate
Can't tell.

### NotApplicable

public static final DecisionType.DECISION NotApplicable
Not applicable.

## Constructor Details

### DECISION

private DECISION()

## Method Details

### values

public static DecisionType.DECISION[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static DecisionType.DECISION valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null